-- Todo --
  75 new levels!
  Seems the windows version is not that windowsy at all, more fullscreenish..
  There's an ugly bug when using the sw-scaler in fullscreen (it shouldn't ever go fullscreen should it?)

1.0.0
  Installation of packs are simplified, put the .wiz file in the dlc dir.
  Packs can be installed from the net by typing a code in options -> dlc.
  You can enter your name for the highscores using the keyboard.
  It is possible to skip puzzles after two failed attempts to solve them. 
  Level-Editor will no longer place bricks when clicking outside of the board (annoying when missing one of the buttons).
  New audio track "Wizzintro" by Sean Hawk
  There are switches which can activate/deactivate bricks. (for example for the player to put a brick
    on top of a switch to enable a teleport/magnet/mover or remove/add a piece of wall).
  Fixed the idiotic user-music path code.
  Audio rates are set from platform/* headers to make porting easier and less intrusive.
  Whole game can now be controlled with the mouse, no keyboard needed.
  Level editor got a dedicated background image, and a menu for selecting bricks with mouse/touchscreen.
  Switched around level1 and 3 since 3 was way easier than 1.
  Fixed bug where bricks could be moved and were evaluated even if they were on top of exploding bricks.
  Added mouse/trouchscreen control for all parts of the game (except music player, and parts of the editor).
  Fixed bug in the credits that crashed PSP and caused the "sinus" text to sometimes not show up.
  Code is more portable and easier to port.
  Added Pandora port, maintained by Farox, thanks, great work! :)
  Magnets and oneways are now overlaid on top of apropiate wall tile.
  Changed level format to be more flexible and easier to use with much different graphics. (see data/empty.wzp in notepad or nano for info)
  Fixed long-standing bug where curser jumps around and grabs bricks falling into place of other bricks
  Added thumbnails to wizznic-silver pack.
  Support for mouse/touch input in game (moving bricks around only).

0.9.9
  Reordered levels
  Corrected some misaligned text
  Changed level file naming from levelX.wzp to levelXXX.wzp (level0.wzp is now level000.wzp and level10.wzp is level010.wzp).
  Time that it takes for a brick to "die" affects the framerate of the expl-animation, this value can now be set from each level.
  Particle systems have a layer associated, either PSYS_LAYER_TOP, PSYS_LAYER_UNDERDEATHANIM or PSYS_LAYER_UNDERBRICK.
  "Thor" theme by ViperMD.
  Tiles 0-17 can be animated from files TILEBASE-tile#.png, animation runs at 12 fps, one row of images, number of frames abritary.
  Clocked wiz up to 600 mhz since the pixel plotting function became a bit heavier.
  OpenGL support is enabled by default, compile with WITH_OPENGL=false to disable. See readme[1.0.4] for more information.

0.9.2-preview2
  Made more changes to code to better allow for non-320x240 screensizes, fixed some related
  bugs. The highscore onscreen keyboard for one.
  Changed the "Please enable feedback" screen to be more obvious.
  Applied PSP patch from Riviera71, this patch makes some code prettier and also more
    portable for devices with non 320x240, by defining display size for device in defs.h
0.9.2-preview
  Several new graphical themes added to main package.
  Cut down number of background music to 9.
  Prefixed wizznic pack-names with 000_ to to make sorting more sane.
  Highscores are now properly saved when entering them after selecting "Exit Game".
  Fixed bug that made wiz-version "hang" on first run if no settings.ini present.
    This bug was hackily fixed in 0.9.1 by having settings.ini be present in the zip.
  Added option to compile with MAME keyboard layout for use in an arcade cabinet.
  Reworked the "Enter Highscore" screen with an onscreen keyboard instead of the
    "up/down/menu" thing, which didn't seem nearly as intuitive.
  Solved random-letterss/segfault in highscore entry.
  Playlist functionality (overrides music= setting in levelfiles with a playlist entry)
    this is done to make it easier to put music on packs. The entries are placed in
    packname/info.ini and have the format mus=ff-tt,music file.ogg where ff is from
    level and tt is to level. mus=00-03,music/song2.ogg will play packname/music/song2.ogg
    in levels 0,1,2,3. And mus=23-23,music/song3.ogg will play packname/music/song3.ogg
    in level 23.


0.9.1
  Changed Wiz default clock to 500 mhz instead of 400 to improve performance.
  When completing a pack, PACKNAME/finished.png is loaded and shown instead of wall-o-text.
    However, another wall-o-text is shown if there is no finished.png in the pack.
  Moved some levels around, removed some levels. 80  levels total.
  Added optional WxH argument to tools/updatelevelpreviews.sh to generate images of given size,
    while not useful in the game, they are useful for sorting levels (using an image-viewing app to browse them)
  "Commercial" for the pack function. in the start of some levels.
  Level editor now reads and writes all level properties, including optional ones.
  Updated readme.
  Updated data/empty.wzp so it contains all level properties, and comments explaining their function and usage.
  Added another intro level to teleports, added intro-images to those levels.
  Updated the cursor in the NES pack.
  Removed "template" pack, it does nothing that the main pack does not show allready.
  Fixed music changing in intermediate screens ("Level Stats" and "Entering Level").
  Fixed crash that could happen when entering highscores.
  Updated ports list (gee, someone ported it to a phone, neat..)
  Updated changelog and decided to use X.Y.Z versioning.
  Program now calls SDL_Quit() on exit (resets screen-resolution if in fullscreen)
  tools/releaser.sh now generates the src package witout src-graphics, instead it generates a srcgfx tarball seperately.
  moved the unused theme graphics into src graphics..

0.9.0 "The Feedback Edition"
  Fixed a bug where teleport strings could get too long and sometimes crash the game.
  Added cheat.
  Time spent solving level was reset when player used retry.
  Using cURL(windows) and wget(*nix), wizznic will now upload level-statistics:
    The game asks you to accept (Ctrl) or disable the function (Alt) on first start, it can also be enabled/disabled from options menu.
    The info is sent to: http://dusted.dk/wizznic/commit.php and contains the following fields:
    version, pack, level, score, moves, time, and action (which can be either "check", "restart", "complete", "gameover" or "lost-life")
    This information will be very helpful to order the levels.
  Script to move levels around. ( tools/movlev.sh (works on .))
  It's no longer possible to place a "reserved" brick from the editor (the "reserved" type is used internally)
  The cursor can now be changed from level-files with cursor=cursorname.png (relative to packname/themes/cursors/)
    Default cursor should now be PACKNAME/themes/cursors/cursor.png, but the game will still fall back on PACKNAME/cursor.png
  75 levels (around 60 new!).
  Added new Teleport sound.
  Particle effect on teleport
  Added direction-switching delay to horizontal mover, solves bug that brick
           cant be dropped of a mover with a travel distance of only 2 spaces.
  Adjusted direction-switching delay to 500 ms instead of 300
  Added Soundscore by Sean Hawk.



0.8:
  Final 0.8.2.
    Fixed a bug in the level-preview-dump function that made a black image if no start/stop image found.
    Thumbnailer works again (on levels that refer to themes that are installed)
      Added instructions for using the thumbnailer in the install.txt
    No longer blink [MORE] in the level-editor list.
    Removed an error message that were printed even though there was no error.
    Pack-List is now sorted.
    Added Puzznic! Stage 09 pack by KML
    Script to make releasing for Linux (Source package) and Wiz automated. This will be extented to windows when I learn to cross compile.
  0.8.1
  More linux-friendly (thanks to PVince81 for patch which was used as inspiration)
    Linux specific Makefile based on contribution from PVince81.
    Renamed Makefile to Makefile.wiz (to avoid confuzion with the linux Makefile which is called Makefile.linux)
    Linux version can be compiled so it saves user files (player & editorlevels) to $XDG_CONFIG_HOME or $HOME (like most *nix apps)
    Read more about this in doc/install.txt
    Level-Editor menu screen is made a bit less cluttered.
    Clone level function (create a new level, with the contents from another level, so it is easier to make variations of existing levels)
  0.8.0
    Player was not asked to enter highscore after "completed game" screen was shown.
    Added Silver pack.
    Teleports added
    Greeter/Credits added to welcome screen
    Added a "template" pack (essentially just a copy of the wizznic pack, without the levels/music),
      can be used by content creators as a starting point for creating a pack.
    Tweaked the ingame interface a bit.
    Lots of minor changes.
    Changed readme a bit, it's still not accurate though.
    Fixed a crashbug due to improper memory access.
    Fixed all compiler warnings.


0.7.1:
    All downloadable level-sets have been converted to level-packs and is included in the download.
    Placeholder-Music removed.
    Fixed bug in pack-listing.
    Pushing bricks of moving platforms is easier (you don't have to hold down the button, and risk doing a "double move")
    Restarting only resets bricks, timer is not reset.
      "Tries" is removed from the game. So, now you can restart as many times as you want, but the timer is not reset.
    "Career" mode is now default, switch to arcade if you want. To clear progress, switch to arcade-mode, and start a new game, then switch back to career.
    You no longer have to complete the "last completed" level to get to the first-not-completed.
    Ask for highscore if user exits at the "Entering Level #" screen.
    Vol+/Vol- on wiz works again (sets the hardware volume)
    Disable Music option, disables loading of music files. (save battery on wiz, game should be restarted if changing this)
    Added startimage, stopimage and charmap properties to level-files.
      Charmaps should be named NAME0.png and NAME1.png and put in PACKNAME/themes/chars/
    Halt music when not playing, to save battery on wiz.
    Tools: Updated level-preview-image-dumper and updatelevelimages.sh to dump and convert levels for packs.
      To update the level preview images for the "wizznic" pack do: cd tools/ && ./updatelevelimages.sh wizznic
    Content:Each brick now has it's own "explosion" animation.
    Code:Don't reload sound-files that are allready loaded, faster loading when entering levels.

0.7.0:
    Select a directory with music to play instead of the ones in the levels (which are none currently). Press Shoulder Left/Right to change song.
      - This works best with .ogg files (which I can play and still keep 50 fps at 350 mhz), mp3's at 43 fps at 650 mhz :s
      - Select from "Options" menu. If the directory browsing stops working, select "Play Game Music" and try again as this resets the directory listing.
    Fixed some more oddities with the mover-bricks.
    Tweaked the particle effect when bricks explode.
    The "best" statistics are saved for each level, and a per.pack highscore table is saved. it is in player/packname.hig
    Graphics for brick 6-10 and for the one/ways and the "glue/magnet"
    settings.ini replaces user.ini, and has changed format.
    Packs now working:
      - Scans wizznic/packs/ for folders containing at least an info.ini and a levels directory with atleast one level.
      - Packs could also have an icon (optional)
      - If a file (for instance, the cursor image, or the sound directory) is not found in the selected pack, the file is loaded from the packs/wizznic standard pack.
        This allows pack-creators to only include files they want to make diffrent. So pack creators can use the standard sounds/themes and only create new levels,
        or they can create a fully fledged pack, with multiple themes, tilesets, background images, sound-sets, character set and music.
    Options Menu:
      - Sound/Music Volume
      - Gamemodes (Arcade=GameOver/NewGame clears progress. Career=Progress is saved)
      - Show FPS option (primarily for tweaking wiz clock settings, yes it's a 50 hz game.)
      - In-Game Particles on/off option (If you prefer to play without particles ingame, or to make it run better on low clock speeds)
      - Clock speed, for clocking between 200 and 700 mhz in intervals of 10. (sorry, no 533 mhz option)
    Broke level-format for the last time, allows for backwards compatibility from this version on.
      Added parameters to levelfiles, (author= levelname= seconds= board= tileset= sounddir= music=)
      Added [data] before level data.
      Strings in level-files can now be 128 characters long. (but dont, they won't display correctly on 320x240 anyway)
    the -z option is slightly faster (about 10% on my 3 ghz machine).
    -z option now takes optional parameter (amount of zoom) warning: more than 2 might be SLOOOW
    "Userlevels" is now called Editor as it's ment primarily to create new levels for the game.
    editor-levels directory for the levels created by the editor (no more data/userlevels)
    editor-levels are now named "levelX.wzp" like normal levels, to avoid the need for renaming
    B is the default select/enter/grab button
    Scrolling function in level-editor so there's room for more than 16 user-created levels.
    Changed B to be the default menu-select and brick-grab button.
    It's now possible to press Menu/Escape to get from "New Game" to the menu.
    Level-editor will write the author name and time that is allready in the level, when saving. If it's a new level, they are taken from data/levels/empty.wzp
    Help-Image instead of text, and both versions have it's own help-image.
    PC-Version shows PC-keys instead of Wiz keys in editor.
    Editor asks for confirmation before exitting a unsaved level.
    Hide mousecursor on PC.
    Fixed bug where levels with custom-themes that do not include custom walls get "brick 7" for walls.
    Rewritten game/menu interaction, much more robust now, this solves lots of minor odd behaviours, and two crash-bugs.
    Restart level is now moved into the game, restart with Y.

0.6.1:
    Player loses points earned in round where he ran out of time, or made the game unsolvable.
    Added the rest of the levels.

0.6.0:
  Cool Stuff:
    Support for 10 brick types, one-way floors and glue. (Each field on board is now two bytes, breaks old levels)
    Timer now stops when a level is completed.
    If you make the level unsolvable (if there is only one of a type of brick lefty) you die.
    Particle system.
    Tweaked cursor-control speed.
    Falling bricks "magnet" a moving brick if it's close enough, instead of landing of it, and then sliding off.
    perl script to convert existing levels into the new format. (./lvlconvert.perl levelfile.wzp) (I will convert your levels for you if you want me to)
    Cursor magnets to bricks moving away or into it's current position (makes it easier to grab bricks on a mover)
    Cursor no longer locks up if you click grab while it's moving from one brick to another.
    Couple of interesting puzzles contributed by MKL.
    Fixed countdown bug when plaform is moving.
    Fixed subtracting time after level complete
    Cursor-Locked image.
    Game won't crash if a level-png is not found, it shows "No Image" instead.
  Boring stuff:
    PC version now sets Icon and Window title
    When not finding optional gfx, tells that it's optional.
    Moved the updatelevelpreviews generator to tools/ and gave it appropiate name
    Minor code cleanup (Draw now uses the defined offsets for sprites)
    levelEditor now frees memory on exit.
    Uses circular brick selection in level-editor.
    Changed windows-version .exe to the correct name.
    Added -thumbnailer commandline option, this is diffrent from the -dumplevels option.

0.5.2 "creators_edition":
  Level editor
  Minor code cleanup

0.5.1:
  Fix silly error that made it impossible to grab bricks that were moving sideways on a platform.

0.5.0:
  Initial release
